function registerObserver()
{
	tabManagerObserver.register();
}

var tabManagerObserver =
{
	observe: function(subject, topic, data)
	{
		print("observe(" + subject + "," + topic + "," + data + ")");
		//registerProgressListener();
		window.setTimeout(displayOpenTabs, 2000);		/* VARIES PER MACHINE PERFORMANCE */
	},
	register: function()
	{
		var observerService = Components.classes["@mozilla.org/observer-service;1"]
			.getService(Components.interfaces.nsIObserverService);

		observerService.addObserver(this, "domwindowopened", false);
		observerService.addObserver(this, "domwindowclosed", false);
	},
	unregister: function()
	{
		var observerService = Components.classes["@mozilla.org/observer-service;1"]
			.getService(Components.interfaces.nsIObserverService);

		observerService.removeObserver(this, "domwindowopened");
		observerService.removeObserver(this, "domwindowclosed");
	}
}